import request from '@/utils/request'

// 查询交付预期列表
export function listExpectation(query) {
  return request({
    url: '/aps/expectation/list',
    method: 'get',
    params: query
  })
}

// 查询交付预期详细
export function getExpectation(id) {
  return request({
    url: '/aps/expectation/' + id,
    method: 'get'
  })
}

// 新增交付预期
export function addExpectation(data) {
  return request({
    url: '/aps/expectation',
    method: 'post',
    data: data
  })
}

// 修改交付预期
export function updateExpectation(data) {
  return request({
    url: '/aps/expectation',
    method: 'put',
    data: data
  })
}

// 删除交付预期
export function delExpectation(id) {
  return request({
    url: '/aps/expectation/' + id,
    method: 'delete'
  })
}
